// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/sea-eevee/backend/sso/repo/repo_customer (interfaces: Contract)

// Package mock_repo_customer is a generated GoMock package.
package mock_repo_customer

import (
	gomock "github.com/golang/mock/gomock"
	reflect "reflect"
)

// MockContract is a mock of Contract interface
type MockContract struct {
	ctrl     *gomock.Controller
	recorder *MockContractMockRecorder
}

// MockContractMockRecorder is the mock recorder for MockContract
type MockContractMockRecorder struct {
	mock *MockContract
}

// NewMockContract creates a new mock instance
func NewMockContract(ctrl *gomock.Controller) *MockContract {
	mock := &MockContract{ctrl: ctrl}
	mock.recorder = &MockContractMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockContract) EXPECT() *MockContractMockRecorder {
	return m.recorder
}

// ProfileCreate mocks base method
func (m *MockContract) ProfileCreate(arg0 uint64) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ProfileCreate", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// ProfileCreate indicates an expected call of ProfileCreate
func (mr *MockContractMockRecorder) ProfileCreate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ProfileCreate", reflect.TypeOf((*MockContract)(nil).ProfileCreate), arg0)
}
